+++
title = "My first statically generated post"
date = 2024-08-24
description = "A blog post about Obsidian, Zola and friction in writing"
+++

I have spent *many* hours searching and trying out different ways to manage my own website. I want it to be a resume, a place where I can blog if I want to (which is not really frequent), and most importantly, a place to showcase my development. Especially that last part has been hard: none of the setups I have tried worked so far.

## Friction

So what's wrong? What's holding me back? I've recently seen some YouTube-videos by [Devops Toolbox](https://youtu.be/oLpGahrsSGQ?si=YRMo5k47hx1GDHE-) and his comments on how friction in your workflow can degrade of your intended input. This got me thinking. Very recently I switched both my personal and work notes entirely to [Obsidian](https://obsidian.md/). There, I *finally* did not experience any friction, taking notes. So, I thought, why not make this wonderful writing and note taking experience that [combines Obsidian with Neovim](https://joostagterhoek.nl/blog/learning-obsidian) also work for my online presence?

## Searching

Unfortunately, the solution was not so easy: combining [Grav](https://www.getgrav.org) with Obsidian didn't work, because they both interpret and rely on YAML frontmatter. Given that I had already spent quite some time setting up my ideal Obsidian/Nvim-experience, I thought, well, maybe that last bit is just too good to be true. And then, I thought of statically generated websites.

## Trying


I still don't have the workflow down exactly, but the ideal for me would be the following: I can write from Obsidian (phone or laptop) or Neovim a blog post, something about a project, and have it sync to and update my website seamlessly. After some failed attempts with Git and remote bare repositories (which I misunderstood), I think I *almost* have a working process.
1 => I write from my Obsidian vault (phone, laptop, Neovim)
2 => Obsidian and Neovim (with nvim.images) show me a preview of the content
3 => I sync the content to my server which puts it in the correct place and file ownership context

I would say that I'm stuck at step 3, but not in an immovable way: I just need to configure everything right, learn how to best leverage [rsync](https://linux.die.net/man/1/rsync) and [inotify-tools](https://manpages.debian.org/bullseye/inotify-tools/inotifywait.1.en.html) to get a somewhat smart syncing going on, and then I'm in business. Oh yeah, also, I hope to get my emoji game on with [this plugin](https://github.com/Allaman/emoji.nvim?tab=readme-ov-file), because, uh, I'm a professional...? See you soon!
